1. Access Keys
ROCKITPLAY API
  • ROCKIT Edge - Admin API
    • Installation / Upgrade
      • ping
      • get versions
      • submit test task
    • Admin Edge Organizations
      • Create Organization
      • Commit Export
      • Delete Organization
    • Tenancy Management
      • List Tenants
      • Get Tenant Details
      • Create Tenant
      • Delete Tenant
    • Tasks
    • Archives
  • ROCKIT Edge - Backend API
    • Backend Edge Organizations
      • Create Organization
      • Delete Organization
    • Authentication
      • user login (org)
      • user login (user+pw)
      • Refresh
      • User logout
    • Account Management
      • get user details
      • list users
      • Modify user
      • delete users
      • Create User / Create Machine User
    • Deployments
      • Creating Deployments
      • Get Deployments
      • Get Deployment Details
      • Modify Deployment
      • Deleting Deployments
    • Apps
      • Creating Apps
      • Import native builds
      • App Details
      • List Apps
      • Patch App
      • Delete Apps
    • Triggers
      • Process Traces
      • Retry Task
    • Tasks
      • Listing Tasks
      • Task Details
      • Acknowledge Warning / Expire Task
    • Access Keys
      • Create Key
        POST
      • Patch Key
        PATCH
      • List Keys
        GET
      • Get Key Details
        GET
    • Subscriptions
      • Subscribe
      • List Subscriptions
      • Unsubscribe
    • Roles
      • List Roles
      • Create Role
      • Patch Role
      • Role Details
      • Delete Roles
    • API Keys
      • Delete API Key
    • Commit
  • Changelog
    • Changelog
  • Schemas
    • Webhook Request Body
    • Import UrlSchema
  1. Access Keys

Create Key

POST
https://Example-Server.com/be/v1/keys
Last modified:2026-10-23 15:08:57
This endpoint is used to create an access key for the RSI mode.

Request

Header Params

Body Params application/json

Example
{
    "appName": "{{appName}}",
    "buildSelector": true,
    "username": "jdoe",
    "comment": "John Doe",
    "tags": [
        "live"
    ],
    "artworks": [
        "http://url-to-my-artwork.com"
    ],
    "expiration": "2025-12-01T00:00:00.000+00:00"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://Example-Server.com/be/v1/keys' \
--header 'Authorization: Bearer {{_edge_org_admin_access_token}}' \
--header 'x-rockit-tenant: {{EDGE_TENANT_NAME}}' \
--header 'x-rockit-orgname: ExampleOrg' \
--header 'x-rockit-username: adminPrincipal' \
--header 'x-rockit-api-key: {{_adminPrincipal_apiKey}}' \
--header 'Content-Type: application/json' \
--data '{
    "appName": "{{appName}}",
    "buildSelector": true,
    "username": "jdoe",
    "comment": "John Doe",
    "tags": [
        "live"
    ],
    "artworks": [
        "http://url-to-my-artwork.com"
    ],
    "expiration": "2025-12-01T00:00:00.000+00:00"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
Modified at 2026-10-23 15:08:57
Previous
Acknowledge Warning / Expire Task
Next
Patch Key
Built with